{% load humanize %}
{% load custom_tags %}
{% if is_admin %}
<label>
 <input type="checkbox" name='filter' value="Completed" id="hide_completed" checked> Hide Completed Searches
</label><br/>
{% else %}
<form method="POST" action="downloadselected" class='action-btn'>
{% csrf_token %}
<button type="submit" class="btn btn-primary" id="download_selected">Download Selected</button>
{% endif %}
<table id='mysearches' class="table">
    <thead>
    <th>
      <label>Select All&nbsp;<input type="checkbox" id="selectall" value="" /></label>
    </th>
    {% for h in headings %}
        <th scop='col' class="{{ h|lower|slugify }}-column">{{ h }}</th>
    {% endfor %}
    </tr></thead>
    <tbody>
        {% for s in searches %}
        <tr>
	    <td class="search-column {{ headings.0|lower|slugify }}-column">
                <input type="checkbox" name="bulkdownload" value="{{ s.search_id }}" />
            </td>
            <td class="search-column {{ headings.0|lower|slugify }}-column" data-order="{{ s.date_submitted|date:'YmdHis' }}">
                {{ s.date_submitted }}
            </td>
            <td class="search-column {{ headings.1|lower|slugify }}-column">
                {{ s.query|truncatechars:100}}
                <a href='' role='button' onClick='return false;' data-trigger='focus' data-html='true' data-toggle='popover'
                    title="Query Details"
                    data-content='<strong>Filters:</strong><br/>
                        {% if s.filters|length == 0 %}
                            None<br/>
                        {% endif %}
                        {% for f in s.filters %}
                            {{ f.filter_name }} = {{ f.filter_value }}<br/>
                        {% endfor %}
                        <strong>Download Format</strong><br/>
                        {% if s.download_formats|length == 0 %}
                            {{ s.output_format }}<br/>
                        {% endif %}
                        {% for f in s.download_formats %}
                            {{ f.format_name }}<br/>

                        {% endfor %}
                        <strong>Aggregate Results?</strong><br/>
                        {% if s.aggregate_results %}Yes{% else %}No{% endif %}
                        <br/>
                        <strong>Sort Order</strong></br>
                        {% if not s.sort_order %}
                            Relevance
                        {% else %}
                            {{ s.sort_order.sort_label }}
                        {% endif %}
                        {% if s.all_users|length > 1 %}
                            <br/><strong>Users with Access</strong><br/>
                            {{ s.all_users|join:", " }}<br/>
                        {% endif %}
                        <br/><br/>
                        <strong>Search Query</strong><br/>
                        {{ s.query }}
                    '>
                    (details)
                </a>
            </td>
            <td class="search-column {{ headings.2|lower|slugify }}-column" data-order="{{ s.percent_complete }}" data-search="{{ s.status }}">
                Status: {{ s.status }}
                <a href='' role='button' onClick='return false;' data-trigger='focus' data-html='true' data-toggle='popover'
                    title="Progress Details"
                    data-content='
                        {% if s.file_size %}Completed File Size: {{ s.file_size }}</br>{% endif %}
                        Downloaded {{ s.num_results_downloaded | intcomma }} / {{ s.num_results_in_search |intcomma }} results ({{ s.percent_complete }}%)<br/>
                        Last Progress Made: {{ s.update_date }}<br/>
                        Total Run Time: {% seconds_to_dhms s.run_time_seconds %} <br/>
                        {% if s.est_days_to_complete %} Est. Days Remaining: {{ s.est_days_to_complete | intcomma }} <br/>{% endif %}
                        {% if s.on_hold_date %} Date Placed on Hold: {{ s.on_hold_date }} <br/>{% endif %}
                        {% if s.error_message %} Error Message: {{ s.error_message }}<br/>{% endif %}
                        {% if s.delete_date %} Date to be Deleted: {{ s.delete_date }}<br/>{% endif %}
                        '>
                    (details)</a>
                <br/>
                <div class="progress">
                    <div class="progress-bar" role="progressbar" style="width: {{ s.percent_complete }}%;" aria-valuenow="{{ s.percent_complete }}" aria-valuemin="0" aria-valuemax="100">{{ s.percent_complete }}%</div>
                </div>
            </td>
            {% if not is_admin %}
                <td class="search-column {{ headings.3|lower|slugify }}-column">
                {% for a in s.actions %}
			<button type="submit" class="btn {{ a.class }}" name="{{ a.action }}_action" value="{{s.search_id}}"
                    {% if a.label == "Delete"  %} onclick='return confirm("Delete the search and any results it may have?")'
                    {% endif %}>{{ a.label }}
                    </button>
                {% endfor %}
                </td>
            {% endif %}
         </tr>
         {% endfor %}
    </tbody>
</table>
{% if not is_admin %}
</form>
{% endif %}
